> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT Image 1.5 이미지 생성

> - GPT Image 1.5 (gpt-image-1.5) 모델은 텍스트-이미지, 이미지-이미지 및 이미지 편집 모드를 지원합니다
- 비동기 처리 모드, 반환된 작업 ID로 [상태 조회](/ko/api-manual/task-management/get-task-detail)
- 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요



## OpenAPI

````yaml ko/api-manual/image-series/gpt-image-1.5/gpt-image-1.5-image-generation.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: gpt-image-1.5 API
  description: AI 모델을 사용하여 이미지 작업을 생성하며, 다양한 모델 및 파라미터 설정을 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: |-
      존재 페널티, -2.0에서 2.0 사이의 숫자

      **참고**:
      - 양수 값은 텍스트에 나타나는지 여부에 따라 새 토큰에 페널티를 부여하여 새로운 주제 논의 가능성을 높입니다
security:
  - bearerAuth: []
tags:
  - name: 이미지 생성
    description: AI 이미지 생성 API
paths:
  /v1/images/generations:
    post:
      tags:
        - 이미지 생성
      summary: gpt-image-1.5-lite API
      description: >-
        - GPT Image 1.5 (gpt-image-1.5) 모델은 텍스트-이미지, 이미지-이미지 및 이미지 편집 모드를 지원합니다

        - 비동기 처리 모드, 반환된 작업 ID로 [상태
        조회](/ko/api-manual/task-management/get-task-detail)

        - 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: 텍스트에서 이미지로
                value:
                  model: gpt-image-1.5
                  prompt: A beautiful colorful sunset over the ocean
      responses:
        '200':
          description: 이미지 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: gpt-image-1.5'
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 이미지 생성 모델 이름
          enum:
            - gpt-image-1.5
          default: gpt-image-1.5
          example: gpt-image-1.5
        prompt:
          type: string
          description: 생성하려는 이미지를 설명하거나 입력 이미지 편집 방법을 설명하는 프롬프트. 2000 토큰 제한
          example: A beautiful colorful sunset over the ocean
          maxLength: 2000
        size:
          type: string
          description: |-
            생성 이미지 크기, 두 가지 형식을 지원합니다:

            **종횡비 형식:**
            - `1:1`: 정사각형
            - `2:3`: 세로
            - `3:2`: 가로

            **픽셀 형식:**
            - `1024x1024`: 정사각형
            - `1024x1536`: 세로
            - `1536x1024`: 가로
          enum:
            - '1:1'
            - '2:3'
            - '3:2'
            - 1024x1024
            - 1024x1536
            - 1536x1024
          example: 1024x1024
        quality:
          type: string
          description: |-
            생성된 이미지 품질

            **지원 품질 수준:**
            - `low`: 저품질, 더 빠른 생성
            - `medium`: 중간 품질
            - `high`: 고품질, 더 느린 생성 (기본값)
          enum:
            - low
            - medium
            - high
          default: high
          example: high
        image_urls:
          type: array
          description: |-
            이미지-이미지 및 이미지 편집 기능을 위한 참조 이미지 URL 목록

            **참고:**
            - 요청당 `1~16`개 이미지 지원
            - 이미지당 최대 크기: `10MB`
            - 지원 형식: `.jpg`, `.jpeg`, `.png`, `.webp`
            - 이미지 URL은 서버에서 직접 접근 가능해야 합니다
          items:
            type: string
            format: uri
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        'n':
          type: integer
          description: |-
            각 입력 메시지에 대해 생성할 완성 수

            **참고**:
            - 기본값: 1, 최대: 5
            - temperature가 0에 매우 가까울 때 1개의 결과만 반환할 수 있습니다
          enum:
            - 1
          default: 1
          example: 1
        callback_url:
          type: string
          description: |-
            작업 완료 시 HTTPS 콜백 URL

            **콜백 시점:**
            - 작업이 완료, 실패 또는 취소될 때 트리거됩니다
            - 과금 확인 후 전송됩니다

            **보안 제한:**
            - HTTPS 프로토콜만 지원
            - 내부 IP 주소 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x 등)
            - URL 길이는 `2048`자를 초과할 수 없습니다

            **콜백 메커니즘:**
            - 타임아웃: `10`초
            - 실패 후 최대 `3`회 재시도 (실패 후 `1`/`2`/`4`초)
            - 콜백 응답 형식은 작업 조회 API와 동일
            - 2xx 상태 코드는 성공으로 간주, 그 외 코드는 재시도 트리거
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757156493
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757156493-imcg5zqt
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: gpt-image-1.5
        object:
          type: string
          enum:
            - image.generation.task
          description: 작업 객체 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 비동기 작업 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 100
    Usage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 크레딧 소비
          minimum: 0
          example: 2.5
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ## 모든 API는 Bearer Token 인증이 필요합니다 ##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````